//
// Simple anisotropic lighting fragment shader
// Using lookup table for diffuse and specular coefficients
//

uniform sampler2D furMap;

uniform	vec4	lightPos;
uniform	vec4	eyePos;
uniform	float	tl;

varying vec3 lt;
varying vec3 ht;
varying vec3 furDir;

void main () 
{
	const vec3	specColor = vec3 ( 1.0, 1.0, 1.0 );
	const vec3	luminance = vec3 ( 0.3, 0.59, 0.11 );

	vec3	tang  = normalize ( furDir );
	float	dot1  = dot       ( normalize ( lt ), tang );
	float	dot2  = dot       ( normalize ( ht ), tang );
	
	dot1 = min ( 1.0, 0.6 + 1.0 - dot1 * dot1 );
	dot2 = pow ( 1.0 - dot2 * dot2, 10.0 );
	
	vec4	color = texture2D ( furMap, 0.25*gl_TexCoord [0].xy * vec2 ( 6.0, 12.0 ) );
	
	gl_FragColor = vec4 ( color.xyz * dot1 + specColor * dot2*1.0, 1.5*color.w*tl );
}
