//
// Simple anisotropic lighting fragment shader
// Using lookup table for diffuse and specular coefficients
//

uniform sampler2D furMap;
uniform sampler2D anisoMap;
                                           
uniform  float	  tl;
uniform  float	  time;
uniform	 vec4	  lightPos;
uniform	 vec4	  eyePos;

varying vec3 lt;
varying vec3 ht;
varying vec4 color;
varying vec3 furDir;

void main () 
{
	const vec3	specColor = vec3 ( 1.0, 1.0, 1.0 );

	vec3	tang  = normalize ( furDir );
	float	dot1  = dot       ( normalize ( lt ), tang );
	float	dot2  = dot       ( normalize ( ht ), tang );
	vec2	arg   = vec2      ( dot1, dot2 );
	vec2	ds    = texture2D ( anisoMap, arg*arg ).xy;
	vec4	color = texture2D ( furMap, gl_TexCoord [0].xy * vec2 ( 6.0, 10.0 ) );
	
	gl_FragColor = vec4 ( color.xyz*(0.3+color.w) + specColor * ds.y*color.w*tl, color.w*tl );
}
