//
// Simple anisotropic lighting fragment shader
// Using lookup table for diffuse and specular coefficients
//

uniform sampler2D furMap;
uniform sampler2D anisoMap;
uniform sampler2D tigerMap;

uniform  float	  tl;
uniform  float	  time;
uniform	 vec4	  lightPos;
uniform	 vec4	  eyePos;

varying vec3 lt;
varying vec3 ht;
varying vec4 color;
varying vec3 furDir;

void main () 
{
	const vec3	specColor = vec3 ( 1.0, 1.0, 1.0 );
	const	vec3	luminance  = vec3 ( 0.3, 0.59, 0.11 );

	vec3	tang  = normalize ( furDir );
	float	dot1  = dot       ( normalize ( lt ), tang );
	float	dot2  = dot       ( normalize ( ht ), tang );
	vec2	arg   = vec2      ( dot1, dot2 );
	vec2	ds    = texture2D ( anisoMap, arg*arg ).xy;
	vec4	color = texture2D ( furMap, 0.25*gl_TexCoord [0].xy * vec2 ( 6.0, 12.0 ) );
	vec4	tiger = texture2D ( tigerMap, 0.125*(gl_TexCoord [0].xy * vec2 ( 6.0, 12.0 ) ));
	
	color.xyz = tiger.xyz * dot ( color.xyz, luminance )*1.5;

	gl_FragColor = vec4 ( color.xyz + specColor * ds.y*0.2, color.w*tl );
}
